Package com.saxonica.ee.stream.feed

## Class AbsorptionFeed.PendingItem

- java.lang.Object
- - com.saxonica.ee.stream.feed.AbsorptionFeed.PendingItem

- Enclosing class:
    AbsorptionFeed

      public abstract static class AbsorptionFeed.PendingItem
      extends java.lang.Object

  A pending item represents a tree under construction. The sequence number represents its position relative to other trees under construction. The builder is the builder being used to construct the tree.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PendingItem​(int sequenceNr)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Sequence` | `deliver()` | On completion of this streamed node, that is, when the relevant end tag is reached, compute the result of processing this node and return this result
    `abstract Receiver` | `getGatherer()` | Get a receiver which will be notified of all events in the streamed input between the start event for this node and the corresponding end event.
    `int` | `getSequenceNr()` | Get the sequence number of this item within a set of items representing nested nodes
    `abstract void` | `rollback()` | Reset the data relating to this node if a dynamic error occurs while processing the input stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PendingItem

          public PendingItem​(int sequenceNr)

  - ### Method Detail

    - #### getSequenceNr

          public int getSequenceNr()

      Get the sequence number of this item within a set of items representing nested nodes
      Returns:
        the sequence number

    - #### getGatherer

          public abstract Receiver getGatherer()
                                        throws XPathException

      Get a receiver which will be notified of all events in the streamed input between the start event for this node and the corresponding end event. This Receiver gathers data into the pending item so that the final result of processing the streamed node can be computed by the deliver() method
      Returns:
        a receiver to be notified of all events relating to this streamed input node
      Throws:
        `XPathException` - if a dynamic error is detected

    - #### deliver

          public abstract Sequence deliver()
                                    throws XPathException

      On completion of this streamed node, that is, when the relevant end tag is reached, compute the result of processing this node and return this result
      Returns:
        the result of processing a streamed input node
      Throws:
        `XPathException` - if the processing fails with a dynamic error

    - #### rollback

          public abstract void rollback()

      Reset the data relating to this node if a dynamic error occurs while processing the input stream.